Skip to main content
`Ctrl`+`K`
scipy.interpolate.BPoly.

# from_power_basis

classmethod BPoly.from_power_basis(pp, extrapolate=None)

  Construct a piecewise polynomial in Bernstein basis from a power basis polynomial.

  Parameters:
    pp PPoly

      A piecewise polynomial in the power basis

    extrapolate bool or ‘periodic’, optional

      If bool, determines whether to extrapolate to out-of-bounds points based on first and last intervals, or to return NaNs. If ‘periodic’, periodic extrapolation is used. Default is True.